aboutsummaryrefslogtreecommitdiff
path: root/core/status
diff options
context:
space:
mode:
Diffstat (limited to 'core/status')
-rwxr-xr-xcore/status21
1 files changed, 21 insertions, 0 deletions
diff --git a/core/status b/core/status
new file mode 100755
index 0000000..6aad04b
--- /dev/null
+++ b/core/status
@@ -0,0 +1,21 @@
+#!/bin/sh
+[ "$1" = "info" ] && echo "show timer" && exit 2
+. "$core_path/lib"
+
+usage() {
+ cat << EOF
+$subcmd -- show timer
+
+usage:
+ $subcmd [options]
+
+options:
+ -h, --help show help
+
+actions:
+EOF
+}
+
+. "$core_path/update"
+echo "lap $lap, $([ $running -eq 1 ] && echo "running" || echo "paused"), $(fmt_time $remaining)"
+